Installing latte-dock

Kernels & Hardware, configuring network, installing services

Installing latte-dock

Postby itipturtles » 2018-10-21 08:01

Having a bunch of issues trying to install latte-dock, noticed their github page recommends Plasma 5.12, but even with an older latte-dock version I still face issues with cmake.
When using the latest version I get the following error.
Code: Select all
latte-dock ❯ ./install.sh
CMake Error at CMakeLists.txt:20 (find_package):
  Could not find a package configuration file provided by "Qt5" (requested
  version 5.9.0) with any of the following names:

    Qt5Config.cmake
    qt5-config.cmake

  Add the installation prefix of "Qt5" to CMAKE_PREFIX_PATH or set "Qt5_DIR"
  to a directory containing one of the above files.  If "Qt5" provides a
  separate development package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
See also "/home/adam/latte-dock/build/CMakeFiles/CMakeOutput.log".
See also "/home/adam/latte-dock/build/CMakeFiles/CMakeError.log".

Older version of latte-dock gets similar issues with cmake. Using Debian 9 stable, Plasma 5.8.6, Qt version 5.7.1
itipturtles
 
Posts: 1
Joined: 2018-10-21 07:59


Re: Installing latte-dock

Postby debiman » 2018-10-21 13:01

itipturtles, please always provide a link to the project page when trying to install something that isn't in the repos.
my guess is that it's a new project that depends on newer versions of software than what debian stable can provide.

you should look at the logs mentioned.
User avatar
debiman
 
Posts: 3018
Joined: 2013-03-12 07:18


Return to System configuration

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable